package main

import (
	"fmt"

	"PluginSystem/plugins"
	_ "PluginSystem/plugins/misc"
	_ "PluginSystem/plugins/example"
)

func main() {

	result := plugins.RunPlugin("!help", "")
	fmt.Println("result of !help:")
	fmt.Print(result) 

	cmd := "!echo"
	arg := "this argument returned"
	result  = plugins.RunPlugin(cmd, arg)
	fmt.Println("result of !echo:", result) 


	cmd = "!add"
	arg = "{\"intA\":1, \"intB\":2}"
	result = plugins.RunPlugin(cmd, arg)
	fmt.Println("result of !add (1+2):", result) 

}
